Skip to content

Format Compatibility

Supported Format

All Brivionix models currently use the OpenAI Chat Completions format:

text
POST https://brivionix.com/v1/chat/completions

SDK Compatibility

Any SDK compatible with OpenAI's API works with Brivionix:

SDKConfiguration
Python openaibase_url="https://brivionix.com/v1"
Node.js openaibaseURL: "https://brivionix.com/v1"
Any HTTP clientSet Authorization: Bearer sk-xxx header

Supported Features

Streaming

json
{ "model": "gpt-5.4-mini", "messages": [...], "stream": true }

Vision (Image Input)

json
{
  "model": "gpt-5.4-mini",
  "messages": [{
    "role": "user",
    "content": [
      { "type": "text", "text": "Describe this image." },
      { "type": "image_url", "image_url": { "url": "https://example.com/image.jpg" } }
    ]
  }]
}

Tool / Function Calling

json
{
  "model": "gpt-5.4-mini",
  "messages": [{ "role": "user", "content": "What's the weather in Tokyo?" }],
  "tools": [{
    "type": "function",
    "function": {
      "name": "get_weather",
      "description": "Get weather for a city",
      "parameters": {
        "type": "object",
        "properties": { "city": { "type": "string" } },
        "required": ["city"]
      }
    }
  }]
}

All 5 models support all of the above features.

Endpoint Summary

EndpointMethodDescription
/v1/chat/completionsPOSTChat completions (primary)
/v1/modelsGETList available models
/v1/images/generationsPOSTImage generation
/v1/embeddingsPOSTText embeddings
/v1/audio/transcriptionsPOSTSpeech to text
/v1/audio/speechPOSTText to speech